Summary: A color VT102 terminal emulator for the X Window System.
Name: rxvt
Serial: 3
Version: 2.7.3
Release: 19mdk
Copyright: distributable
Group: Terminals
Source: ftp://ftp.rxvt.org/pub/rxvt/rxvt-%{version}.tar.bz2
Source1: rxvt.sh
Source2: rxvt-zh.menu
Source3: rxvt-CLE-mini.xpm
Source4: rxvt-CLE.xpm
Source5: rxvt-CLE-large.xpm
Patch0: rxvt-2.7.1.font.patch
Patch1: rxvt-2.7.3-utempter.patch
Patch2: rxvt-2.6.1-metamod.patch.bz2
Patch3: rxvt-2.7.3-nofgbg.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
URL: http://www.rxvt.org/
Obsoletes: crxvt gbrxvt rxvt-CLE
BuildRequires: XFree86-devel xpm-devel utempter-devel

%package CJK
Summary: CJK menus for rxvt.
Requires: %{name} = %{version}
Group: Terminals

%description
Rxvt is a color VT102 terminal emulator for the X Window System.
Rxvt is intended to be an xterm replacement for users who don't need
the more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving
a large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

This version of rxvt can display Japanese, Chinese (Big5 and GuoBiao) 
and Korean.

%description CJK
This package contains the CJK menu entries for rxvt. Install this
if you want Debian's menu support.

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 -b .utmp
%patch2 -p1 
%patch3 -p1 -b .nofgbg

%build
# NeXT scrollbar is cool :)
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DUTEMPTER"  
./configure --prefix=/usr/X11R6 \
	--enable-xpm-background --enable-menubar --enable-xgetdefault \
	--enable-utmp --enable-ttygid \
	--enable-transparency --enable-next-scroll \
	--enable-xim --enable-languages

# make -j doesn't works... seems some Makefile tasks are done in wrong order
#make -j 2
make
mv src/rxvt src/rxvt.cjk

make distclean
./configure --prefix=/usr/X11R6 \
	--enable-xpm-background --enable-menubar --enable-xgetdefault \
	--enable-utmp --enable-ttygid \
	--enable-transparency --enable-next-scroll 
make
mv src/rxvt src/rxvt.bin

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
touch src/rxvt
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
for i in cjk bin;do
   install -m755 src/rxvt.$i $RPM_BUILD_ROOT/usr/X11R6/bin
done
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt
install -m 644 doc/rxvt.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
ln -s $RPM_BUILD_ROO/usr/X11R6/bin/rxvt.sh $RPM_BUILD_ROOT/usr/X11R6/bin/rxvt
rm -f doc/rxvt.1

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/bin

# (fg) 20000925 Make the necessary links
( cd $RPM_BUILD_ROOT/usr/X11R6/bin;
  for i in {gb,c,j,k}rxvt; do
		ln rxvt.sh $i
  done
)

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rxvt
install -m 644 $RPM_SOURCE_DIR/rxvt-zh.menu $RPM_BUILD_ROOT/%{_sysconfdir}/rxvt

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/rxvt
?package(rxvt):\
  needs="X11"\
  section="Terminals"\
  title="rxvt"\
  longtitle="A version of the rxvt terminal with support for Tranditional Chinese, Simplified Chinese, Japanese and Korean."\
  command="/usr/X11R6/bin/rxvt" \
  icon="rxvt-CLE.xpm"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/zhrxvt
?package(rxvt):\
 needs=x11 section="Terminals" title="crxvt(Big5)"\
  longtitle="Traditional Chinese rxvt terminal"\
  command="/usr/X11R6/bin/crxvt -ls"
?package(rxvt):\
  needs=x11 section="Terminals" title="gbrxvt(GB2312)"\
  longtitle="Simplied Chinese rxvt terminal"\
  command="/usr/X11R6/bin/gbrxvt -ls"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/jrxvt
?package(rxvt):\
  needs=x11 section="Terminals" title="jrxvt(JIS)"\
  longtitle="Japanese rxvt terminal"\
  command="/usr/X11R6/bin/jrxvt -ls"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/krxvt
?package(rxvt):\
  needs=x11 section="Terminals" title="krxvt(KSC5601)"\
  longtitle="korean rxvt terminal"\
  command="/usr/X11R6/bin/krxvt -ls"
EOF

# (fg) 20000929 New icons from ln
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/rxvt-CLE.xpm
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_iconsdir}
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/%{_liconsdir}/rxvt-CLE.xpm

%post
%{update_menus}
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/X11R6/bin/rxvt 20

%postun
%{clean_menus}

if [ "$1" = "0" ]; then
    update-alternatives --remove xvt /usr/X11R6/bin/rxvt
fi

%post CJK
%update_menus

%postun CJK
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
%config(missingok,noreplace) /etc/rxvt/rxvt-zh.menu
%{_menudir}/rxvt
%{_iconsdir}/rxvt-CLE.xpm
%{_liconsdir}/rxvt-CLE.xpm
%{_miconsdir}/rxvt-CLE.xpm

%files CJK
%defattr(-,root,root)
%{_menudir}/zhrxvt
%{_menudir}/jrxvt
%{_menudir}/krxvt

%changelog
* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-19mdk
- Don't have the environment variable COLORFGBG as it seems to be causing
  some strange behavior in console programs. Ugly hack. But ...

* Tue Mar 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-18mdk
- Really fix rxvt.sh script (Andrew Lee).

* Sun Mar 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-17mdk
- Fix buggy rxvt.sh script so things work well again.

* Sun Mar 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-16mdk
- Fix the segfault when shift (+|-).
- Adapt the rxvt.sh script for this change.

* Fri Mar 23 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-15mdk
- fix yet again the grep .Xdefaults .Xresources ...

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-14mdk
- don't use xrdb -query, better grep directly .Xdefaults and .Xresources

* Tue Mar 20 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-13mdk
- as no good solution to set a nice font, xrdb -query and put -fn on command
line based on this

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-12mdk
- move the app-defaults to /etc/X11 and tag it %%config

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-11mdk
- european font put in app-defaults instead of giving it to command-line. That
way you can still override it in the X resources

* Sun Mar 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-10mdk
- Add update_menus and clean_menus for the separate menu package.

* Sun Mar 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-9mdk
- Re-add the menu entries for CJK.
- Make the rxvt.sh script smarter, detect locale when xvt is invoked.
- Put CJK menus in a separate package.

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-8mdk
- change the font of european
- remove the menu entries for exotic languages (not needed)

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-7mdk
- Adapt rxvt.sh for Pixel's xvt alternative change.

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-6mdk
- add as alternative xvt

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 2.7.3-5mdk
- add as alternative xvt

* Tue Jan 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-4mdk
- make Pixel a happy boy aka use noenc for non CJK.

* Mon Jan 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-3mdk
- added back the metamod patch as asked by Chmou.

* Fri Dec 22 2000 Andrew Lee <andrew@linux.org.tw> 2.7.3-2mdk
- don't use xa+cv in rxvt.sh
- added {c,gb,j,k}rxvt menu entry
- replace manpages

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.3-1mdk
- merge with CLE. (Andrew Lee <andrew@cle.linux.org.tw>)

* Sat Dec 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-13mdk
- say goodbye to the non-i18n rxvt.

* Fri Sep 29 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-12mdk

- New icons from LN

* Tue Sep 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-11mdk
- LD_PRELOAD libX11 to prevent segfault on some non -lX11 programs. :(

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-10mdk

- Don't install manpages - they conflict with rxvt

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7.1-9mdk

- No icon for now :( Waiting for ln...
- Many spec file fixes
- File list fixes

* Tue Sep 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7.1-8mdk
- perl -pi -e "s|/usr/share/chinese|/usr/lib/chinese|" *;

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7.1-7mdk
- automatically added BuildRequires

* Wed May 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- small change to scritp so chinese rxvt menu shows correctly
- added lontitle for 'menu' 
- fixed menu section

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.7.1-5mdk
- Menu Entry

* Fri Dec 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed various scripts to enable out of the box Japanese and Korean support

* Tue Dec  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- made a few changes to avoid conflicts with standard rxvt if present

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake

* Sun Oct 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added utempter patch
- fixed gbrxvt wmconfig bug
- added menu for GNOME & KDE

* Fri Oct 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed but with icewm
- added crxvt & gbrxvt wmconfig
- made default fonts to be normal

* Wed Oct  6 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.7.1

* Sun Aug 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- use two binaries again
- change rxvt to a script

* Tue Aug 17 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- copy & paste bug fixed
- use one binary for Big5 and GB encoding

* Fri Jul 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- let crxvt & gbrxvt be the same file (hard link)

* Sat Jul 24 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- mirror menu and script modified

* Thu Jul 22 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- fixed XIM focus bug (thhsieh)
- added rxvt menu and scripts, obsoleted crxvt 
- removed rxvt.1 from %doc

* Tue Jun 15 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to 2.6.0
- removed GB patch (already including in this release)
- fixed a small bug of GB support

* Thu May 27 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- the GB patch cannot coexist with Big5, so make two binaries is necessary

* Fri May 21 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- added GB patch from <hashao@china.com>

* Thu May 20 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- upgraded to PRE4

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
